#pragma once

#include "Perception.h"
#include "Propulsion.h"

namespace Passer {
namespace RoboidControl {

class Roboid {
 public:
  Roboid();
  Roboid(Placement configuration[], unsigned int thingCount);
  Roboid(Perception* perception, Propulsion* propulsion);

  Perception* perception;
  Propulsion* propulsion;

  void Update(float currentTimeMs);
};
}  // namespace RoboidControl
}  // namespace Passer

using namespace Passer::RoboidControl;